Skip to main content
GET
/
api
/
workspaces
List Workspaces
curl --request GET \
  --url https://api.rapidly.tech/api/workspaces/ \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "created_at": "2023-11-07T05:31:56Z",
      "modified_at": "2023-11-07T05:31:56Z",
      "id": "<string>",
      "name": "<string>",
      "slug": "<string>",
      "avatar_url": "<string>",
      "email": "<string>",
      "website": "<string>",
      "socials": [
        {
          "platform": "x",
          "url": "<string>"
        }
      ],
      "status": "created",
      "details_submitted_at": "2023-11-07T05:31:56Z",
      "default_presentment_currency": "aud",
      "feature_settings": {
        "member_model_enabled": false,
        "seat_based_pricing_enabled": false,
        "tinybird_read": false,
        "tinybird_compare": false
      },
      "notification_settings": {
        "new_payment": true
      },
      "customer_email_settings": {
        "payment_confirmation": true
      },
      "customer_portal_settings": {
        "usage": {
          "show": true
        }
      }
    }
  ],
  "meta": {
    "total": 123,
    "page": 123,
    "per_page": 123,
    "pages": 123
  }
}

Authorizations

Authorization
string
header
required

Create an Workspace Access Token in your workspace's settings page.

Query Parameters

slug
string | null

Filter by slug.

page
integer
default:1

Page number, defaults to 1.

limit
integer
default:10

Size of a page, defaults to 10. Maximum is 100.

sorting
enum<string>[] | null

Sorting criterion. Several criteria can be used simultaneously and will be applied in order. Add a minus sign - before the criteria name to sort by descending order.

Available options:
created_at,
-created_at,
slug,
-slug,
name,
-name,
next_review_threshold,
-next_review_threshold,
days_in_status,
-days_in_status

Response

Successful Response

data
Workspace · object[]
required
meta
PageMeta · object
required

Offset-based pagination metadata.